---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "forgejo_repository_label Resource - terraform-provider-forgejo"
subcategory: ""
description: |-
  Use this resource to create and manage a repository label.
---

# forgejo_repository_label (Resource)

Use this resource to create and manage a repository label.

## Example Usage

```terraform
resource "forgejo_repository_label" "main" {
  color       = "0000ff"
  description = "blue label"
  name        = "test"
  owner       = "adyxax"
  repository  = "example"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `color` (String) The label's color in lowercase rgb format, without a leading `#`. For example `207de5`.
- `description` (String) A description string.
- `name` (String) The label's name.
- `owner` (String) The variable's owner.
- `repository` (String) The label's repository.

### Optional

- `exclusive` (Boolean) Whether the label is exclusive or not. Defaults to `false`. Name the label `scope/item` to make it mutually exclusive with other `scope/` labels.
- `is_archived` (Boolean) Whether the repository label is archived or not. Defaults to `false`

### Read-Only

- `id` (Number) The identifier of the repository label.
- `url` (String) The repository label's URL.
